@echo off
cls
SET SUBDIR=%~dp0
echo FileDropperUploader : Configure registry
echo ----------------------------
SET fducommand="javaw.exe -cp \"%SUBDIR%\FileDropperUploader.jar\" filedropper.FileDropperUploadThread \"%%1\""
echo This script will modify your registry, and install FileDropperUploader.
echo For details on installation and usage open readme.pdf
echo Press Ctrl+C to quit
pause
REG ADD "HKCR\*\shell\Upload to FileDropper.com" /f
REG ADD "HKCR\*\shell\Upload to FileDropper.com\command" /ve /t REG_SZ /d %fducommand% /f
echo @echo off > "%SUBDIR%\run.bat"
echo start /B javaw -jar %SUBDIR%\FileDropperUploader.jar >> "%SUBDIR%\run.bat"
echo @echo on >> "%SUBDIR%\run.bat"
echo run.bat created
echo @echo off > "%SUBDIR%\uninstall.bat"
echo cls >> "%SUBDIR%\uninstall.bat"
echo echo SplitFS : Uninstall from registry >> "%SUBDIR%\uninstall.bat"
echo echo --------------------------------- >> "%SUBDIR%\uninstall.bat"
echo echo This script will modify your registry, and install SplitFS. >> "%SUBDIR%\uninstall.bat"
echo echo Press Ctrl+C to quit >> "%SUBDIR%\uninstall.bat"
echo pause >> "%SUBDIR%\uninstall.bat"
echo REG DELETE "HKCR\*\shell\Upload to FileDropper.com" >> "%SUBDIR%\uninstall.bat"
echo echo. >> "%SUBDIR%\uninstall.bat"
echo echo Done. >> "%SUBDIR%\uninstall.bat"
echo pause >> "%SUBDIR%\uninstall.bat"
echo uninstall.bat created
echo.
echo Done.
echo Press any key to open readme.txt
echo Press Ctrl+C to quit
pause
%SUBDIR%\readme.txt
